Notploy
Endpoint reference

Libsql

Libsql create

POST
/libsql.create
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

name*string
Length1 <= length
appName*string
Length1 <= length
dockerImage*string
Default"ghcr.io/tursodatabase/libsql-server:v0.24.32"
environmentId*string
description*string|null
databaseUser*string
Length1 <= length
databasePassword*string
Match^[a-zA-Z0-9@#%^&*()_+\-=[\]{}|;:,.<>?~`]*$
sqldNode*string
Value in"primary" | "replica"
sqldPrimaryUrl*string|null
enableNamespaces*boolean
Defaultfalse
serverId*string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "appName": "string",    "dockerImage": "ghcr.io/tursodatabase/libsql-server:v0.24.32",    "environmentId": "string",    "description": "string",    "databaseUser": "string",    "databasePassword": "string",    "sqldNode": "primary",    "sqldPrimaryUrl": "string",    "enableNamespaces": false,    "serverId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql one

GET
/libsql.one
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

libsqlId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/libsql.one?libsqlId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql start

POST
/libsql.start
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.start" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql stop

POST
/libsql.stop
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.stop" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql save External Ports

POST
/libsql.saveExternalPorts
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
externalPort?number|null
externalGRPCPort?number|null
externalAdminPort?number|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.saveExternalPorts" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql deploy

POST
/libsql.deploy
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.deploy" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql change Status

POST
/libsql.changeStatus
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
applicationStatus*string
Value in"idle" | "running" | "done" | "error"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.changeStatus" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string",    "applicationStatus": "idle"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql remove

POST
/libsql.remove
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.remove" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql save Environment

POST
/libsql.saveEnvironment
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
env*string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.saveEnvironment" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string",    "env": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql reload

POST
/libsql.reload
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
appName*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.reload" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string",    "appName": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql update

POST
/libsql.update
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
Length1 <= length
name?string
Length1 <= length
appName?string
Length1 <= length
description?string|null
databaseUser?string
Length1 <= length
databasePassword?string
Match^[a-zA-Z0-9@#%^&*()_+\-=[\]{}|;:,.<>?~`]*$
sqldNode?string
Value in"primary" | "replica"
sqldPrimaryUrl?string|null
enableNamespaces?boolean
Defaultfalse
dockerImage?string
Default"ghcr.io/tursodatabase/libsql-server:v0.24.32"
command?string|null
env?string|null
memoryReservation?string|null
memoryLimit?string|null
cpuReservation?string|null
cpuLimit?string|null
externalPort?number|null
externalGRPCPort?number|null
externalAdminPort?number|null
applicationStatus?string
Value in"idle" | "running" | "done" | "error"
healthCheckSwarm?|null
restartPolicySwarm?|null
placementSwarm?|null
updateConfigSwarm?|null
rollbackConfigSwarm?|null
modeSwarm?|null
labelsSwarm?|null
networkSwarm?|null
stopGracePeriodSwarm?number|null
endpointSpecSwarm?|null
replicas?number
networkIds?|null
detachNotployNetwork?boolean
createdAt?string
environmentId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.update" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql move

POST
/libsql.move
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string
targetEnvironmentId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.move" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string",    "targetEnvironmentId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql rebuild

POST
/libsql.rebuild
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Request Body

application/json

libsqlId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-notploy-instance.com/api/libsql.rebuild" \  -H "Content-Type: application/json" \  -d '{    "libsqlId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Libsql read Logs

GET
/libsql.readLogs
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

libsqlId*string
Length1 <= length
tail?integer
Default100
Range1 <= value <= 10000
since?string
Default"all"
Match^(all|\d+[smhd])$
search?string
Match^[a-zA-Z0-9 ._-]{0,500}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/libsql.readLogs?libsqlId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}